/* control */

//
//   Programa elaborado por Genaro Juarez Martinez
//   e-mail: genaro@enigma.red.cinvestav.mx
//           genarojm@correo.unam.mx
//   Area: Automatas Celulares
//   CINVESTAV-IPN
//   Noviembre 2003
//   http://delta.cs.cinvestav.mx/~mcintosh
//


#import <Cocoa/Cocoa.h>
#import "operations.h"
#import "evolution.h"
#import "colors.h"

@interface control : NSObject
{
    // Conecta a la subclase Colors
    IBOutlet id class_colors;
    // Conecta a la subclase Operations
    IBOutlet id class_operations;
    // Conecta a la subclase Evolution
    IBOutlet id view_evolution;
    // metodos de consoleStrings
    IBOutlet id setTextInput;
    IBOutlet id MyScrollView;
    // Colores
    NSColor *color1;
    NSColor *color2;
    NSColor *color3;
    NSColor *color4;
}

- (IBAction)initOwner:(id)sender;

// Agregar cadena personalizada
- (IBAction)boton:(id)sender;

// Boton limpiar vista
- (IBAction)clearView:(id)sender;

// Boton continuar evolucion
- (IBAction)continueEvolution:(id)sender;

// Boton evolucion
- (IBAction)evolutionSpace:(id)sender;

// Arreglo de botones para los gliders
- (IBAction)gliderType:(id)sender;

// Boton configuracion inicial
- (IBAction)initialConfiguration:(id)sender;

// Manda el tag del objeto radio
- (IBAction)mandarTagRadio:(id)sender;

// Pintar ether
- (IBAction)paintEther:(id)sender;

// Borrar cadena
- (IBAction)stringDelete:(id)sender;

@end
