/* operations */

//
//   Programa elaborado por Genaro Juarez Martinez
//   e-mail: genaro@enigma.red.cinvestav.mx
//           genarojm@correo.unam.mx
//   Area: Automatas Celulares
//   CINVESTAV-IPN
//   Noviembre 2003
//   http://delta.cs.cinvestav.mx/~mcintosh
//

#import <Cocoa/Cocoa.h>

@interface operations : NSObject
{
    // metodos del panel principal
    IBOutlet id density;
    IBOutlet id size_cell;
    IBOutlet id rule_evolution;
    IBOutlet id cells;
    IBOutlet id evolutions;
}

// Convierte decimal en binario
int rule_binary(int ruleaux);

// Reviza frontera izquierda
int check_left(int k,int ring);

// Reviza frontera derecha
int check_right(int k,int ring);

// Configuracion aleatoria
-(IBAction)initialconfiguration:(int)ring;

// Tamano de la celula
-(int)sizeCell:(int)ring:(int)lines;

// Determina el tamano de celula
-(IBAction)sizeCells:(int)ring:(int)lines;

// RING recalculado
-(int)newRing;

// LINES recalculado
-(int)newLines;

// Capturar configuracion inicial
-(int)captureConfigurationInitial:(int)columna;

// Captura evolucion
-(int)captureEvolution:(int)row:(int)column;

// Calcular evolucion
-(IBAction)makeEvolution:(int)ring:(int)lines;

// Continuar la evolucion
-(IBAction)evolutionContinue:(int)ring:(int)lines;

// Captura el glider activado
- (IBAction)typeGlider:(int)numbertag:(int)ring;

// Limpia variables y el view
-(IBAction)clearVar;

// Limpia variables y el view
-(IBAction)deleteString;

// Traer la cadena editada en consoleStrings
- (IBAction)setStringAppend:(const char *)cadenaCapturada:(int)longitudCadena;

@end
