/* evolution */

//
//   Programa elaborado por Genaro Juarez Martinez
//   e-mail: genaro@enigma.red.cinvestav.mx
//           genarojm@correo.unam.mx
//   Area: Automatas Celulares
//   CINVESTAV-IPN
//   Noviembre 2003
//   http://delta.cs.cinvestav.mx/~mcintosh
//


#import <Cocoa/Cocoa.h>

@interface evolution : NSView
{
    int space;

    NSColor *colorOne;
    NSColor *colorTwo;
    NSColor *colorEtherZero;
    NSColor *colorEtherOne;
}

// Reviza frontera izquierda
int check_Inf(int k,int ring);

// Reviza frontera derecha
int check_Right(int k,int ring);

// Inicializa la grafica
- initWithFrame:(NSRect)rects;

// Dibuja la grafica
-(IBAction)drawRect:(NSRect)rects;

// Ancho del view
-(int)widthView;

// Altura del view
-(int)heightView;

// Diduja la configuracion inicial
-(IBAction)drawInitialConfiguration:(int)ring:(int)lines:(int)size color:(NSColor *)uno color:(NSColor *)dos;

// Dibuja una celula
-(IBAction)drawPoint:(int)x:(int)y:(int)size color:(NSColor *)color;

// Captura configuracion inicial
-(IBAction)sendInitialConfiguration:(int)i:(int)column;

// Limpia la vista
-(IBAction)viewClear;

// Captura evolucion
-(IBAction)sendEvolution:(int)row:(int)column:(int)cell;

// Dibuja evolucion
-(IBAction)drawEvolution:(int)ring:(int)lines:(int)size;

// Pintar ether
-(IBAction)etherPaint:(int)ring:(int)lines:(int)size color:(NSColor *)uno color:(NSColor *)dos;

// Target del objeto radio
-(IBAction)tagRadio:(int)target;


@end
